Require libgpg-error 1.29 and remove internal logging functions.
authorWerner Koch <wk@gnupg.org>
Tue, 12 Jun 2018 11:46:00 +0000 (13:46 +0200)
committerWerner Koch <wk@gnupg.org>
Tue, 12 Jun 2018 11:46:00 +0000 (13:46 +0200)
commit440472663d608660343c54f09172c851f5127c9c
treedc3a2cafc5f518c4120a58bdb5b153f5063cf4d6
parentfe621cc64b13b00914633630f28b4b417892d629
Require libgpg-error 1.29 and remove internal logging functions.

* configure.ac (NEED_GPG_ERROR_VERSION): Set to 1.29
* common/util.h: Remove replacement error codes.
* common/logging.h: Remove fallback to internal logging functions.
* common/logging.c: Remove.
* common/Makefile.am (common_sources): Remove logging.c

Signed-off-by: Werner Koch <wk@gnupg.org>
common/Makefile.am
common/logging.c [deleted file]
common/logging.h
common/util.h
configure.ac